org.apache.solr.common.util

## Class JavaBinCodec.StringCache

- java.lang.Object
- - org.apache.solr.common.util.JavaBinCodec.StringCache

Enclosing class:
  JavaBinCodec

    public static class JavaBinCodec.StringCache
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StringCache(Cache<JavaBinCodec.StringBytes,String> cache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `get(JavaBinCodec.StringBytes b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringCache

    public StringCache(Cache<JavaBinCodec.StringBytes,String> cache)

### Method Detail

#### get

    public String get(JavaBinCodec.StringBytes b)